// 这段 MFC 示例源代码演示如何使用 MFC Microsoft Office Fluent 用户界面 
// ("Fluent UI")，该示例仅作为参考资料提供， 
// 用以补充《Microsoft 基础类参考》和 
// MFC C++ 库软件随附的相关电子文档。
// 复制、使用或分发 Fluent UI 的许可条款是单独提供的。
// 若要了解有关 Fluent UI 许可计划的详细信息，请访问  
// http://msdn.microsoft.com/officeui。
//
// 版权所有 (C) Microsoft Corporation
// 保留所有权利。

// ScriptDemoDlg.h : 头文件
//

#pragma once

//////////////////////////////////////////////////////////////////////////
#include "gc_scpt_itf.h"
#include "mtn_lib20.h"
#include "mtn_lib20_err.h"
#include "mtn_lib20_ext.h"

//////////////////////////////////////////////////////////////////////////
#pragma comment(lib,"gc_scpt_itf.lib")
#pragma comment(lib,"nmc_lib20.lib")

// CScriptDemoDlg 对话框
class CScriptDemoDlg : public CDialog
{
// 构造
public:
	CScriptDemoDlg(CWnd* pParent = NULL);	// 标准构造函数

// 对话框数据
	enum { IDD = IDD_SCRIPTDEMO_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButtonConnect();
	afx_msg void OnBnClickedButtonDown();
	afx_msg void OnBnClickedButtonRun();

private:
	void AddLog(int rtn ,CString msg);
	short m_devIdx;
	short m_instIdx;
public:
	afx_msg void OnBnClickedButtonPause();
	afx_msg void OnBnClickedButtonStop();
	afx_msg void OnBnClickedButtonEmg();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	double m_userVarIdx;
	double m_userVarVal;
	afx_msg void OnBnClickedButtonVw();
	afx_msg void OnBnClickedButtonVr();
	afx_msg void OnCbnSelchangeComboDevindx();
};
